package com.oo.seex.oo_statistics_lib.utils.utdid.Device;


import com.oo.seex.oo_statistics_lib.utils.utdid.utils.AESUtils;
import com.oo.seex.oo_statistics_lib.utils.utdid.utils.Base64;
import com.oo.seex.oo_statistics_lib.utils.utdid.utils.StringUtils;

public class UTUtdidHelper2 {
    private String mAESKey = "XwYp8WL8bm6S4wu6yEYmLGy4RRRdJDIhxCBdk3CiNZTwGoj1bScVZEeVp9vBiiIsgwDtqZHP8QLoFM6o6MRYjW8QqyrZBI654mqoUk5SOLDyzordzOU5QhYguEJh54q3K1KqMEXpdEQJJjs1Urqjm2s4jgPfCZ4hMuIjAMRrEQluA7FeoqWMJOwghcLcPVleQ8PLzAcaKidybmwhvNAxIyKRpbZlcDjNCcUvsJYvyzEA9VUIaHkIAJ62lpA3EE3H";

    public UTUtdidHelper2() {
        this.mAESKey = Base64.encodeToString(this.mAESKey.getBytes(), 0);
    }

    public String dePack(String pPackedUtdid) {
        String lUtdid = AESUtils.decrypt(this.mAESKey, pPackedUtdid);
        return lUtdid;
    }

    public String dePackWithBase64(String pUtdidWithBase64) {
        String lEResult = AESUtils.decrypt(this.mAESKey, pUtdidWithBase64);
        if(!StringUtils.isEmpty(lEResult)) {
            try {
                byte[] e = Base64.decode(lEResult, 0);
                return new String(e);
            } catch (IllegalArgumentException var4) {
                return null;
            }
        } else {
            return null;
        }
    }
}
